<template>
    <div>
        <crumbs title="医学术语关系维护" :minWidth="titleWidth">
            <el-form :inline="true" class="demo-form-inline">
              <el-form-item label="术语总条数：">
                  <span>{{total}}条</span>
              </el-form-item>
              <el-form-item label="术语关系：">
                <el-select v-model="type" clearable placeholder="请选择" size="mini">
                  <el-option
                    v-for="item in typeList"
                    :key="item.key"
                    :label="item.name"
                    :value="item.key">
                  </el-option>
                </el-select>
              </el-form-item>
              <el-form-item label="起始术语：">
                  <el-input size="mini" v-model="filter.proName" placeholder="输入术语"></el-input>
              </el-form-item>
              <el-form-item label="终点术语：">
                  <el-input size="mini" v-model="filter.proName" placeholder="输入术语"></el-input>
              </el-form-item>
              <el-form-item>
                  <el-button size="mini" @click="filterDatas">确认</el-button>
                  <el-button size="mini" @click="uploadClick">导入</el-button>
                  <input type="file" name="uploadfile " id="upFile" @change="uploadFile($event)" accept=".csv, application/vnd.ms-excel, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet">
                  <router-link to="/admin/LT-YXSYKWH-TJYXSYGX" style="margin:0 10px">
                      <el-button size="mini" type="warning">添加关系</el-button>
                  </router-link>
              </el-form-item>
            </el-form>
        </crumbs>
        <div class="contents">
            <el-table :data="list"
                      border
                      style="width: 100%">
                <el-table-column
                        type="index"
                        :index="indexMethod"
                        label="编号"
                        width="60">
                </el-table-column>
                <el-table-column
                        prop="gmtOperate"
                        label="操作时间"
                        :show-overflow-tooltip="true">
                </el-table-column>
                <el-table-column
                        prop="questionName"
                        label="关系明细"
                        show-overflow-tooltip>
                </el-table-column>
                <el-table-column
                        prop="operatorName"
                        label="操作人">
                </el-table-column>
                
                <el-table-column
                        label="操作" width="160">
                    <template slot-scope="scope">
                        <el-button type="text" size="small" class="delete" @click="showDelDialog(scope.row.questionId)">删除</el-button>
                    </template>
                </el-table-column>
            </el-table>
            <el-pagination v-if="total>pageSize"
                           :current-page.sync="currentPage"
                           @current-change="currentChange"
                           background
                           :page-size="pageSize"
                           layout="total,prev, pager, next, jumper"
                           :total="total">
            </el-pagination>
        </div>

    </div>
</template>

<script>
  import api from '@api/icss.js';
  export default {
    name: 'MedicalRelation',
    data: function () {
      return {
        list: [],
        cacheData: {},
        currentPage: 1,
        pageSize: 10,
        total: 0,
        filter: {
          proName: ''
        },
        type:'',
        typeList:[
          {
            name:'类型1',
            id:1,
            key:1
          },
          {
            name:'类型2',
            id:2,
            key:2
          },
          {
            name:'类型3',
            id:3,
            key:3
          },
        ],
        titleWidth:'1060px' //头部最小宽度
      }
    },
    created() {
      this.getDataList();
    },
    methods: {
      toEditProduct(row){
        // this.$router.push({
        //   name:'AddSimilarName',
        //   params: {id:row.questionId,name:row.questionName}
        // })
      },
      filterDatas(){
        this.currentPage = 1;
        this.getDataList();
      },
      getDataList() {
        const param = this.getFilterItems();
        /*api.similarName(param).then((res) => {
          if (res.data.code == '0') {
            const data = res.data.data;
            this.list = data.records;
            this.cacheData[param.current] = data.records;
            this.total = data.total;
          }
        }).catch((error) => {
          console.log(error);
        });*/
      },
      getDetailList(id) {
        const param = {'id': id,};
        // this.$router.push({name:'DeptInfoDetail', params:{id: id}})
      },
      getFilterItems() {
        const param = {
          questionName: this.filter.proName,
          current: this.currentPage,
          size: this.pageSize
        };
        return param;
      },
      indexMethod(index) {
        return ((this.currentPage - 1) * this.pageSize) + index + 1;
      },
      currentChange(next) {
        this.currentPage = next;
        if (this.cacheData[next]) {       //如果已请求过该页数据，则使用缓存不重复请求
          this.list = this.cacheData[next];
        } else {
          this.getDataList();
        }
      },
      warning(msg,type){
        this.$message({
          showClose: true,
          message:msg,
          type:type||'warning'
        })
      },
      showConfirmDialog(msg,resolve){
        this.$alert(msg, '提示', {
          confirmButtonText: '确定',
          type: 'warning'
        }).then(() => {
          resolve();
        }).catch(() => {});
      },
      showDelDialog(id){
        this.showConfirmDialog('是否删除该关系？可能对现有系统造成影响',()=>{
          api.delSimilarName({questionId:id}).then((res)=>{
            if(res.data.code=='0'){
              this.warning(res.data.msg||'操作成功','success');
              this.getDataList();
            }else{
              this.warning(res.data.msg);
            }
          }).catch((error)=>{
            this.warning(error);
          })
        });
      },
      uploadClick(){
        let inp = document.getElementById("upFile");
        inp.click();
      },
      uploadFile(e){
        let fileInfo = e.target.files[0];
        e.preventDefault();
        let formData = new FormData();
        formData.append('uploadfile', fileInfo);
        console.log(123,fileInfo,formData);
        const header = {
          headers:{
            'Content-Type': 'multipart/form-data'
          }
        }
        /*api.uploadFile(formData,header).then((res)=>{
          if(res.data.code==0){
            this.$message({
              message: '上传成功',
              type: 'success',
            });
          }else{
            this.$message.error(res.data.msg);
          }
        })
        this.getDataList();*/
        /*//解决上传相同文件不触发change
        let inp = document.getElementById("upFile");
        inp.value = "";
        */
      }
    }
  }
</script>

<style lang="less" scoped>
    @import "../../less/admin.less";
    .delete{
        color: red;
    }
    .el-table .cell{
      overflow: hidden;
      white-space: nowrap;
    }
    #upFile{
      display: none !important;
    }
</style>